On 05.05.2006 10:51:35 Peter B. West wrote:
> On Fri, 2006-05-05 at 08:43 +0200, Jeremias Maerki wrote:
> > This is good news. I did not study the problems around non-LTR texts so
> > I can't say anything useful about this.
> > 
> > I think it is preferrable to reuse code from the Java class library if
> > it covers our requirements (among them: maintain JDK 1.3 compatibility).
> > Sadly that means that java.text.Bidi is a little problematic, except if
> > we say that Bidi support is only available under JDK 1.4 but that might
> > complicate the implementation additionally. If we can reuse code from
> > our sister project Batik, that's probably better. Introducing an
> > external library will take careful consideration. We have to make sure,
> > among other things, that the licensing situation is ok.
> > 
> > I don't know of anyone currently working on a Bidi impementation. If
> > someone does, I expect that person to speak up.
> > 
> I am. Using Java 1.5 for the basics, and Java 1.6 for kerning and
> ligatures. I suppose you were aware of that though.

Well, the requirement for 1.5 or even 1.6 pretty much rules out your
implementation for us.


Jeremias Maerki

Reply via email to